Subject: Re: Using test-lib.sh under GPLv3?

From: Jakub Narebski <[email-masked]>
Date: Wed, 17 Feb 2010 01:26:43 +0100

Dnia wtorek 16. lutego 2010 14:06, Michal Sojka napisał:
> On Tue, 16 Feb 2010 02:27:37 -0800 (PST), Jakub Narebski <[email-masked]> wrote:
> > Michal Sojka <sojkam1-jQs2MHkdoM/twjQa/[email-masked]> writes:
> > 
> > > I like the simple and powerful test suite used by Git and I would like
> > > to use something like that in Notmuch project (http://notmuchmail.org/).
> > > [...]
> >
> > Have you thought about using TAP (Test Anything Protocol) format for
> > your testsuite?  Its page (http://testanything.org) has a TAP-producing
> > bash library: http://testanything.org/wiki/index.php/Tap-functions
> 
> Yes, somebody has mentiond TAP on notmuch list. From a quick look at TAP
> shell library it seems to me a bit more complex then git's library and
> it also requires bash.
> 
> If we need to use some TAP-based tools, we could easily change the
> output of git's library to conform to TAP. Right?

Or better yet improve git test suite, so when passed --tap parameter
it would produce TAP output, instead of its own report format.  And
send patches here.

-- 
Jakub Narebski
Poland